using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Media;

namespace PDF_Office.Model.PropertyPanel.AnnotPanel
{
    public class FontStyleItem
    {
        public string mFontStyleName { get; set; }
        public int mFontSize { get; set; }
        public FontFamily mFontFamily { get; set; }
        public FontStyle mFontStyle { get; set; }
        public FontWeight mFontWeight { get; set; }

    }

    public class LoadFontStyle
    {
        public static List<FontStyleItem> Load()
        {
            List<FontStyleItem> fontStyleList = new List<FontStyleItem>();
            FontStyleItem custom = new FontStyleItem();
            custom.mFontSize = 32;
            custom.mFontStyleName = "自定义";

            FontStyleItem h1 = new FontStyleItem();
            h1.mFontSize = 24;
            h1.mFontStyleName = "H1大标题";

            FontStyleItem h2 = new FontStyleItem();
            h2.mFontSize = 16;
            h2.mFontStyleName = "h2（标准）";

            FontStyleItem h3 = new FontStyleItem();
            h3.mFontSize = 10;
            h3.mFontStyleName = "H3小标题";

            FontStyleItem b1 = new FontStyleItem();
            b1.mFontSize = 8;
            b1.mFontStyleName = "B1标题";

            FontStyleItem b2 = new FontStyleItem();
            b2.mFontSize = 6;
            b2.mFontStyleName = "B2标题";

            FontStyleItem b3 = new FontStyleItem();
            b3.mFontSize = 4;
            b3.mFontStyleName = "B3标题";

            fontStyleList.Add(custom);
            fontStyleList.Add(h1);
            fontStyleList.Add(h2);
            fontStyleList.Add(h3);
            fontStyleList.Add(b1);
            fontStyleList.Add(b2);
            fontStyleList.Add(b3);

            return fontStyleList;
        }
    }
}
